Skip to main content
GET
/
v1
/
payment_links
List Payment Links
curl --request GET \
  --url https://api.withflex.com/v1/payment_links \
  --header 'Authorization: Bearer <token>'
{
  "payment_links": [
    {
      "payment_link_id": "obj_01EXAMPLE00000000000000000",
      "label": "Example",
      "active": false,
      "line_items": [],
      "allow_promotion_codes": false,
      "shipping_address_collection": false,
      "shipping_options": {},
      "metadata": {},
      "url": "https://example.com",
      "created_at": "2024-01-01T00:00:00Z",
      "payment_intent_data": {},
      "after_completion": {},
      "origin": "shopify",
      "tax_rate": {},
      "discounts": [
        "string"
      ],
      "test_mode": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Query Parameters

limit
integer<int32> | null

Maximum number of payment links to return

Required range: x >= 1
Example:

10

offset
integer<int32> | null

Number of payment links to skip (deprecated, use cursor pagination)

Required range: x >= 0
Example:

0

starting_after
string | null

Cursor for pagination - return payment links after this ID

Example:

"obj_01EXAMPLE00000000000000000"

ending_before
string | null

Cursor for pagination - return payment links before this ID

Example:

"obj_01EXAMPLE00000000000000000"

Response

Success